%define typescript_version     3.6.4
%define nodejs_version         10.15.3
%define  instDir           /usr/lib/


Name:       oci-typescript-sdk		
Version:	1.6.1
Release:	1%{?dist}
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure SDK for Typescript and JavaScript
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-typescript-sdk
Source0:	%{name}-%{version}.tar.gz
Patch0:     tsconfig.json.patch
Buildarch:  noarch
AutoReq:    no

BuildRequires:	nodejs >= %{nodejs_version} 
BuildRequires:	nodejs < 1:0.0.0
Requires:	nodejs >= %{nodejs_version} 
Requires:	nodejs < 1:0.0.0
Requires:	typescript >= %{typescript_version} 


%description
The oci-typescript-sdk provides Oracle Cloud Infrastructure SDK for Typescript and Javascript 
that you can use to manage your Oracle Cloud Infrastructure resources.
 
%prep
%setup -q -n %{name}-%{version}

%build
unset https_proxy
unset http_proxy
npm config set registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm config set @types:registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm cache clean --force
npm config set prefix ./global 
npm install oci-sdk@%{version} -g

%check 
#make unit-ttest

%install
mkdir -p %{buildroot}/usr
cp -rf  global/lib %{buildroot}/usr

%files
%{instDir}/node_modules/*
%doc *.txt README.md examples/


%changelog
* Thu Oct 22 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.6.1
- Update to 1.6.1 for Oracle build

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> - 1.6.0
- Initial RPM release. 

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> - 1.5.6
- Initial build. Pack it from npm. 

